## org.eclipse.emf.ecore.util
Class EcoreEList.UnmodifiableEList.FastCompare<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>
                      org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>
                          org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList.FastCompare<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  EcoreEList.UnmodifiableEList<E>

    public static class EcoreEList.UnmodifiableEList.FastCompare<E>

extends EcoreEList.UnmodifiableEList<E>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`EcoreEList.UnmodifiableEList.FastCompare<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`eStructuralFeature, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EcoreEList.UnmodifiableEList.FastCompare(InternalEObject owner, EStructuralFeature eStructuralFeature, int size, java.lang.Object[] data)`

Method Summary
`protected boolean` `useEquals()` Returns whether `equals` rather than `==` should be used to compare members.

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`basicAdd, basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, get, getEObject, getEStructuralFeature, isSet, set, unset`

Methods inherited from class org.eclipse.emf.common.util.BasicEList.UnmodifiableEList
`add, add, addAll, addAll, clear, grow, iterator, listIterator, listIterator, move, move, remove, remove, removeAll, retainAll, set, shrink`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, canContainNull, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, indexOf, isEmpty, isUnique, lastIndexOf, newData, resolve, setData, setUnique, size, toArray, toArray, toString, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicGet, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### EcoreEList.UnmodifiableEList.FastCompare

    public EcoreEList.UnmodifiableEList.FastCompare(InternalEObject owner,
                                                    EStructuralFeature eStructuralFeature,
                                                    int size,
                                                    java.lang.Object[] data)

Method Detail

### useEquals

    protected boolean useEquals()

  Description copied from class: `BasicEList`
  Returns whether `equals` rather than `==` should be used to compare members. The default is to return `true` but clients can optimize performance by returning `false`. The performance difference is highly significant.

  Overrides:
    `useEquals` in class `BasicEList<E>`
  Returns:
    whether `equals` rather than `==` should be used.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.